<?php

namespace App\Services;

use App\Models\Profil;
use App\Repositories\ProfilRepository;

class ProfilService
{
    protected $profilRepository;

    public function __construct(ProfilRepository $profilRepository)
    {
        $this->profilRepository = $profilRepository;
    }

    public function getProfil(): ?Profil
    {
        return $this->profilRepository->getProfil();
    }

    public function saveProfil(array $data): Profil
    {
        return $this->profilRepository->saveProfil($data);
    }
}
